package top.ninwoo.app.api;

import lombok.Data;

import java.io.Serializable;
import java.util.concurrent.ConcurrentHashMap;

//数据包中包含的东西
@Data
public class DataPackage implements Serializable {

    //加入任务表：ConcurrentHashMap<卫星名字,功能函数名>
    private ConcurrentHashMap<String,String> taskTable = new ConcurrentHashMap<>();
    //加入路径表：String[]
    private String[] pathTable = new String[]{};
    //全局路由表
    private String[][] route = new String[][]{};

    //本机卫星名
    private String currentSataHop;
    //下一跳卫星名
    private String nextSataHop;
    //该条路径的目的卫星名
    private String destinSataHop;
    //数据，仅作测试用
    private int data;
}
